Package helma.servlet

# Class EmbeddedServletClient

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
helma.servlet.AbstractServletClient
helma.servlet.EmbeddedServletClient

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public final class EmbeddedServletClient extends AbstractServletClient
Servlet client that runs a Helma application for the embedded web server

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EmbeddedServletClient()`
Creates a new EmbeddedServletClient object.

## Method Summary

Modifier and Type
Method
Description
`Application`
`getApplication()`
Returns the `Applicaton` instance the servlet is talking to.
`void`
`init(javax.servlet.ServletConfig init)`
Init this servlet.

### Methods inherited from class helma.servlet.AbstractServletClient

`getServletInfo, parseParameters, parseParameters, parseUploads, service, writeResponse`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmbeddedServletClient

public EmbeddedServletClient()
Creates a new EmbeddedServletClient object.

## Method Details

### init

public void init(javax.servlet.ServletConfig init) throws javax.servlet.ServletException
Description copied from class: `AbstractServletClient`
Init this servlet.

Specified by:
  `init` in interface `javax.servlet.Servlet`
Overrides:
  `init` in class `AbstractServletClient`
Parameters:
  `init` - ...
Throws:
  `javax.servlet.ServletException` - ...

### getApplication

public Application getApplication()
Returns the `Applicaton` instance the servlet is talking to.

Specified by:
  `getApplication` in class `AbstractServletClient`
Returns:
  this servlet's application instance